package com.example.module.war;

import org.picketlink.annotations.PicketLink;

import javax.ejb.Singleton;
import javax.ejb.Startup;
import javax.enterprise.inject.Produces;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Singleton
@Startup
public class IDMPersistenceContextInitializer {

    @PersistenceContext(unitName = "idm-module"/*, type = PersistenceContextType.EXTENDED*/)
    private EntityManager em;

    /*
     * Since we are using JPAIdentityStore to store identity-related data, we must provide it with an EntityManager via a
     * producer method or field annotated with the @PicketLink qualifier.
     */

    @Produces
    @PicketLink
    public EntityManager getPicketLinkEntityManager() {
        return em;
    }
}